diff -ru libogg-1.1.3/doc/Makefile.in libogg-1.1.3-patched/doc/Makefile.in
--- libogg-1.1.3/doc/Makefile.in	2005-11-28 05:26:30.000000000 +0100
+++ libogg-1.1.3-patched/doc/Makefile.in	2006-02-23 19:52:26.000000000 +0100
@@ -178,7 +178,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 SUBDIRS = libogg
-docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)
+docdir = $(datadir)/doc/$(PACKAGE)
 doc_DATA = framing.html index.html oggstream.html ogg-multiplex.html \
 	stream.png vorbisword2.png white-ogg.png white-xifish.png \
 	rfc3533.txt rfc3534.txt
diff -ru libogg-1.1.3/doc/libogg/Makefile.in libogg-1.1.3-patched/doc/libogg/Makefile.in
--- libogg-1.1.3/doc/libogg/Makefile.in	2005-11-28 05:26:30.000000000 +0100
+++ libogg-1.1.3-patched/doc/libogg/Makefile.in	2006-02-23 19:52:27.000000000 +0100
@@ -168,7 +168,7 @@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/ogg
+docdir = $(datadir)/doc/$(PACKAGE)/ogg
 doc_DATA = bitpacking.html datastructures.html decoding.html encoding.html\
 	general.html index.html ogg_packet.html ogg_packet_clear.html\
 	ogg_page.html ogg_page_bos.html ogg_page_checksum_set.html\
diff -ru libogg-1.1.3/include/ogg/os_types.h libogg-1.1.3-patched/include/ogg/os_types.h
--- libogg-1.1.3/include/ogg/os_types.h	2005-11-28 05:26:05.000000000 +0100
+++ libogg-1.1.3-patched/include/ogg/os_types.h	2006-02-23 19:52:06.000000000 +0100
@@ -24,104 +24,12 @@
 #define _ogg_realloc realloc
 #define _ogg_free    free
 
-#if defined(_WIN32) 
+#include <inttypes.h>
 
-#  if defined(__CYGWIN__)
-#    include <_G_config.h>
-     typedef _G_int64_t ogg_int64_t;
-     typedef _G_int32_t ogg_int32_t;
-     typedef _G_uint32_t ogg_uint32_t;
-     typedef _G_int16_t ogg_int16_t;
-     typedef _G_uint16_t ogg_uint16_t;
-#  elif defined(__MINGW32__)
-     typedef short ogg_int16_t;                                                                             
-     typedef unsigned short ogg_uint16_t;                                                                   
-     typedef int ogg_int32_t;                                                                               
-     typedef unsigned int ogg_uint32_t;                                                                     
-     typedef long long ogg_int64_t;                                                                         
-     typedef unsigned long long ogg_uint64_t;  
-#  elif defined(__MWERKS__)
-     typedef long long ogg_int64_t;
-     typedef int ogg_int32_t;
-     typedef unsigned int ogg_uint32_t;
-     typedef short ogg_int16_t;
-     typedef unsigned short ogg_uint16_t;
-#  else
-     /* MSVC/Borland */
-     typedef __int64 ogg_int64_t;
-     typedef __int32 ogg_int32_t;
-     typedef unsigned __int32 ogg_uint32_t;
-     typedef __int16 ogg_int16_t;
-     typedef unsigned __int16 ogg_uint16_t;
-#  endif
-
-#elif defined(__MACOS__)
-
-#  include <sys/types.h>
-   typedef SInt16 ogg_int16_t;
-   typedef UInt16 ogg_uint16_t;
-   typedef SInt32 ogg_int32_t;
-   typedef UInt32 ogg_uint32_t;
-   typedef SInt64 ogg_int64_t;
-
-#elif defined(__MACOSX__) /* MacOS X Framework build */
-
-#  include <sys/types.h>
-   typedef int16_t ogg_int16_t;
-   typedef u_int16_t ogg_uint16_t;
-   typedef int32_t ogg_int32_t;
-   typedef u_int32_t ogg_uint32_t;
-   typedef int64_t ogg_int64_t;
-
-#elif defined(__BEOS__)
-
-   /* Be */
-#  include <inttypes.h>
-   typedef int16_t ogg_int16_t;
-   typedef u_int16_t ogg_uint16_t;
-   typedef int32_t ogg_int32_t;
-   typedef u_int32_t ogg_uint32_t;
-   typedef int64_t ogg_int64_t;
-
-#elif defined (__EMX__)
-
-   /* OS/2 GCC */
-   typedef short ogg_int16_t;
-   typedef unsigned short ogg_uint16_t;
-   typedef int ogg_int32_t;
-   typedef unsigned int ogg_uint32_t;
-   typedef long long ogg_int64_t;
-
-#elif defined (DJGPP)
-
-   /* DJGPP */
-   typedef short ogg_int16_t;
-   typedef int ogg_int32_t;
-   typedef unsigned int ogg_uint32_t;
-   typedef long long ogg_int64_t;
-
-#elif defined(R5900)
-
-   /* PS2 EE */
-   typedef long ogg_int64_t;
-   typedef int ogg_int32_t;
-   typedef unsigned ogg_uint32_t;
-   typedef short ogg_int16_t;
-
-#elif defined(__SYMBIAN32__)
-
-   /* Symbian GCC */
-   typedef signed short ogg_int16_t;
-   typedef unsigned short ogg_uint16_t;
-   typedef signed int ogg_int32_t;
-   typedef unsigned int ogg_uint32_t;
-   typedef long long int ogg_int64_t;
-
-#else
-
-#  include <sys/types.h>
-#  include <ogg/config_types.h>
-
-#endif
+typedef int16_t ogg_int16_t;
+typedef uint16_t ogg_uint16_t;
+typedef int32_t ogg_int32_t;
+typedef uint32_t ogg_uint32_t;
+typedef int64_t ogg_int64_t;
 
 #endif  /* _OS_TYPES_H */
